Bug 75651 - setenv in csh
Summary: setenv in csh
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: tcsh (Show other bugs)
(Show other bugs)
Version: 8.0
Hardware: athlon Linux
medium
medium
Target Milestone: ---
Assignee: Nalin Dahyabhai
QA Contact: Bill Huang
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-10-10 17:26 UTC by Need Real Name
Modified: 2007-04-18 16:47 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-07-20 15:23:51 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Need Real Name 2002-10-10 17:26:25 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.1) Gecko/20020830

Description of problem:
Setting a variable with a "-" gives
syntax errors..

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.setenv a-b /c
2.
3.
	

Actual Results:  polk% setenv a-b /c
setenv: Syntax Error.
polk%


Additional info:

Comment 1 Need Real Name 2002-10-10 17:34:41 UTC
I beleave other shells are affected as well..

polk% bash
bash-2.05b$ A-B=/C
bash: A-B=/C: No such file or directory
bash-2.05b$ A_B=/C
polk% zsh
polk% A-B=/C
zsh: no such file or directory: A-B=/C


Comment 2 Tomasz Kepczynski 2002-10-13 12:10:23 UTC
According to bash man page:
name - A word  consisting only of alphanumeric characters and underscores and
beginning with an alphabetic character or an underscore. Also referred to as an
identifier.
The above applies to both function and variable names and therefore '-' cannot
be used in them.
I can't find it for tcsh but I am quite sure the same applies.
This is not a fault.

Comment 3 Brent Fox 2004-07-20 15:23:51 UTC
Closing as 'notabug'


Note You need to log in before you can comment on or make changes to this bug.